<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Jrgen Carstensen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------*
| MWN Geschenke System 
| Angepasst und erweitert fr ScoreSystem 1.0
| ScoreSystem 1.0 erhltlich unter:
| http://www.phpfusion-supportclub.de
| Author: JC Drago / webmaster@my-web-news.de
| Web: http://www.my-web-news.de
| Copyright holder of the original code: Starefossen
| http://starefossen.com
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mwn_geschenke_system/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mwn_geschenke_system/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mwn_geschenke_system/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mwn_geschenke_system/locale/English.php";
}

// Infusion standart Information
$inf_title = $locale['mwn_geschenke100'];
$inf_description = $locale['mwn_geschenke101'];
$inf_version = "1.7";
$inf_developer = "Starefossen - JC Drago";
$inf_email = "webmaster@my-web-news.de";
$inf_weburl = "http://www.my-web-news.de";
$inf_folder = "mwn_geschenke_system"; 

$inf_newtable[1] = DB_MWN_GESCHENKE." (
geschenke_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
geschenke_image VARCHAR(200) NOT NULL,
geschenke_price INT(11) UNSIGNED NOT NULL,
geschenke_stock INT(11) UNSIGNED NOT NULL,
geschenke_text VARCHAR(200) NOT NULL,
geschenke_bought INT(11) UNSIGNED NOT NULL,
PRIMARY KEY (geschenke_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_MWN_GESCHENKE_GIVEN." (
geschenke_given_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
geschenke_given_geschenke_id INT(11) UNSIGNED NOT NULL,
geschenke_given_from INT(11) UNSIGNED NOT NULL,
geschenke_given_to INT(11) UNSIGNED NOT NULL,
geschenke_given_text VARCHAR(200) NOT NULL,
geschenke_given_date INT(10) UNSIGNED NOT NULL,
geschenke_given_status INT(1) UNSIGNED NOT NULL,
PRIMARY KEY (geschenke_given_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_MWN_GESCHENKE_BEZAHLEN." (
scoresystem INT(1) NOT NULL,
goldsystem INT(1) NOT NULL
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_MWN_GESCHENKE_GIVEN." (geschenke_given_date, geschenke_given_status)VALUES ('0', '0');";
$inf_insertdbrow[2] = DB_MWN_GESCHENKE_BEZAHLEN." (scoresystem, goldsystem)VALUES ('0', '1');";

$inf_droptable[1] = DB_MWN_GESCHENKE;
$inf_droptable[2] = DB_MWN_GESCHENKE_GIVEN;
$inf_droptable[3] = DB_MWN_GESCHENKE_BEZAHLEN;

$inf_adminpanel[1] = array(
	"title" => $locale['mwn_geschenke100'],
	"image" => "",
	"panel" => "admin.php",
	"rights" => "MWNG"
);

?>